Groovy 1.7.0

## groovy.jmx.builder
Class JmxEmitterFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxEmitterFactory

    class JmxEmitterFactory
    extends AbstractFactory

This class is the factory for the emitter node. This node faciliates the declaration of a JMX event emitter. The emitter is used to broadcast arbitrary event on the MBeanServer's event bus. Registered listeners are able to consume event once sent.

Supported syntax:

         def jmx = JmxBuilder()
         jmx.emitter(name:"Object name"|ObjectName(), event:"event type")
         ...
         jmx.emitter.send(object)

author:
  Vladimir Vivien

Constructor Summary
`JmxEmitterFactory()`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### JmxEmitterFactory

    JmxEmitterFactory()

Method Detail

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)

Copyright © 2003-2009 The Codehaus. All rights reserved.